Subject: Re: Some small doc bugs in cygwin and tar packages
From: [email-masked] (Eric Blake)
To: [email-masked], [email-masked]
Cc: Robert Thorpe <[email-masked]>
Date: Tue, 30 May 2006 03:50:43 +0000

http://cygwin.com/acronyms/#PPIOSPE - forwarding to the list

http://cygwin.com/acronyms/#TOFU - reformatted

> 
> -------- Original Message --------
> > From: Eric Blake <ebb9 AT byu DOT net>
                          ^^^^   ^^^^^

http://cygwin.com/acronyms/#PCYMTNQREAIYR - raw email munged

> > That's because the upstream tar package does not provide a man page.  I'm
> > not really inclined to go creating man pages where upstream did not think
> > they were worth it; you can use 'info tar' instead.

> OK, I never use man , but a lot of other people seem to.
> I thought GNU tar was such an old program someone must have got around to 
> writing a man page for it.

Have you ever written a man page?  The syntax is horrendous, compared
to texinfo.  Furthermore, texinfo has the advantage that it works for
both straight text (info, html, and even man pages, if you get the right
filter) and printed manuals (dvi, ps, pdf) from the same source file; whereas
with troff input (aka man pages) do not render well in other formats.

And while tar may be old, some of its options are new (hence it being at
version 1.15.90 right now), and the upstream maintainer does not
want to document each new option in the man format, since GNU
coding standards do not require it.

Other packagers have different attitudes; coreutils uses a help2man script
to convert the --help output into a reasonable man page, and the findutils
packager actually maintains parallel man and info pages (and tries to
fix inconsistencies between them whenever they are pointed out).  But
as packager, my attitude is to do the minimal amount of work above
what the upstream maintainer does, as opposed to Debian's policy of
making every package consistent, even if that means Debian writes
their own man pages for packages like tar.

> 
> The issue with installing both .info.gz and .info- files though I think is a 
> real bug.  Info readers should show one or the other, but I don't think there 
> will be any gaurantee which.  It seemed to put Emacs in a tizzy on my machine 
> anyway.

But that problem wasn't related to the tar package, so I can't
do anything about it.

> 
> Thanks
> Rob

-- 
Eric Blake
volunteer cygwin tar maintainer

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/